=== debian/changelog ===
flashrom (0.9.4+r1394-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10_svnversion.patch: Drop, no longer needed.

 -- Uwe Hermann <uwe@debian.org>  Thu, 28 Jul 2011 21:29:32 +0200

flashrom (0.9.3+r1323-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Delete .libdeps file in 'clean' target.

 -- Uwe Hermann <uwe@debian.org>  Fri, 03 Jun 2011 16:53:47 +0200

flashrom (0.9.2+r1141-2) unstable; urgency=high

  * Drop alpha and netbsd-alpha from the arch list for now (builds fail).
    + Keeping "urgency=high" due to high-priority fixes in the last upload,
      in order to allow those fixes to migrate to testing.
    + It's unclear how well alpha (if at all) is supported upstream at this
      point. There's a compile-time #error in the upstream code breaking
      the build intentionally on alpha right now.
      Alpha support will be re-enabled as soon as this has been sorted out
      upstream, but it may take quite a while.

 -- Uwe Hermann <uwe@debian.org>  Tue, 17 Aug 2010 00:50:27 +0200

flashrom (0.9.2+r1141-1) unstable; urgency=high

  * New upstream release. Urgency high due to multiple critical bugfixes that
    could potentially brick the PC (or worse: laptop) of users.
    Other important fixes include:
    + Properly writing Atmel AT25 chips would fail on some SPI controllers.
    + Fix breakage with brick-potential on various non-x86 architectures.
    + Fix broken reads on Winbond W25x16, especially on some ICH SPI chipsets.
    + Fix write failure on 3COM NICs with parallel flash.
    + Fix "byte merge" related corruption on some VIA chipsets.
    + Fix some format string bugs.
    + Fix hard hang on some recent (e.g. QM57) Intel chipsets.
  * Install new upstream udev rules file to allow users to use flashrom
    without root permissions on some (USB-based) programmers.
  * Standards-Version: 3.9.1 (no changes required).
  * debian/copyright: Updates.

 -- Uwe Hermann <uwe@debian.org>  Sun, 15 Aug 2010 19:07:19 +0200

flashrom (0.9.2+r1028-1) unstable; urgency=low

  * New upstream release.
  * Add dmidecode as Recommends on architectures where it's available.
  * debian/README.Debian: Fix typo.
  * debian/copyright: Update upstream svn URL.

 -- Uwe Hermann <uwe@debian.org>  Fri, 04 Jun 2010 18:13:52 +0200

flashrom (0.9.1+r946-1) unstable; urgency=high

  * New upstream release.
     + Urgency high, as it fixes multiple important bugs, including such bugs
       which can potentially "brick" a user's mainboard. Details at
       http://www.flashrom.org/pipermail/flashrom/2010-March/002507.html.
     + This build should have a non-truncated manpage (Closes: #566217).
  * Standards-Version: 3.8.4 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Wed, 17 Mar 2010 09:50:05 +0100

flashrom (0.9.1+r873-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Wed, 20 Jan 2010 15:18:23 +0100

flashrom (0.9.1+r792-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/copyright: Update upstream website to flashrom.org.

 -- Uwe Hermann <uwe@debian.org>  Tue, 08 Dec 2009 10:13:35 +0100

flashrom (0.9.1+r736-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Tue, 29 Sep 2009 13:09:58 +0200

flashrom (0.9.1+r706-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3 (no changes required).
  * debian/copyright: Update.

 -- Uwe Hermann <uwe@debian.org>  Mon, 31 Aug 2009 18:32:13 +0200

flashrom (0.9+r631-1) unstable; urgency=low

  * New upstream release.
     + The command line usage has changed a bit in this release:
        + Combined operations like -wv or -Ewv are no longer allowed.
        + The -w option automatically does an auto-verify after writing
          (but you can also explicitly do it via 'flashrom -v file').
        + The -E option is also automatically verified per default.
     + Support for external programmers was added (-p), see manpage.
     + Acer Aspire One is now marked unsupported upstream (Closes: #528308).
  * Add build-dependency on libftdi-dev, flashrom now supports an
    external libftdi-based programmer (ft2232spi).
  * debian/patches/20_drop_svndef.patch: Drop, we use 'make tarball' now,
    which properly handles svn version printing in flashrom.
  * Standards-Version: 3.8.2 (no changes required).
  * debian/copyright: Update.

 -- Uwe Hermann <uwe@debian.org>  Thu, 25 Jun 2009 14:18:53 +0200

flashrom (0.9+r544-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10_makefile.patch: Drop, no longer needed.
  * debian/copyright: Update.

 -- Uwe Hermann <uwe@debian.org>  Thu, 21 May 2009 21:34:03 +0200

flashrom (0.9+r446-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 11 Apr 2009 16:28:33 +0200

flashrom (0.0+r3844-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 27 Dec 2008 09:05:27 +0100

flashrom (0.0+r3734-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 08 Nov 2008 01:38:08 +0100

flashrom (0.0+r3613-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Add dummy file to silence lintian (we track svn revisions).

 -- Uwe Hermann <uwe@debian.org>  Sat, 27 Sep 2008 19:28:36 +0200

flashrom (0.0+r3397-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.0 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Mon, 30 Jun 2008 17:11:25 +0200

flashrom (0.0+r3274-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + pciutils-dev was renamed to libpci-dev (Closes: #478379).
    + Drop ia64 from architectures list for now, unlikely to work.
    + Don't link with -lz anymore, don't build-depend on zlib1g-dev.
      We don't explicitly need zlib, libpci-dev now properly depends on it.

