## flashrom 0.9.5.2+r1517

=== Makefile ===
--- 
+++ 
@@ -275,9 +275,9 @@
 # of the checked out flashrom files.
 # Note to packagers: Any tree exported with "make export" or "make tarball"
 # will not require subversion. The downloadable snapshots are already exported.
-SVNVERSION := 1508
-
-RELEASE := 0.9.5.1
+SVNVERSION := 1517
+
+RELEASE := 0.9.5.2
 VERSION := $(RELEASE)-r$(SVNVERSION)
 RELEASENAME ?= $(VERSION)
