=== debian/changelog ===
flashrom (0.9.5.2+r1517-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.3 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Sat, 07 Apr 2012 23:27:50 +0200
