=== debian/changelog ===
flashrom (0.9.5.2+r1546-1) unstable; urgency=medium

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Fri, 29 Jun 2012 20:49:55 +0200
