=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
    * nicsmc1211 (for flash ROMs on RTL8139-compatible SMC2 network cards)
    * nicnatsemi (for flash ROMs on National Semiconductor DP838* network cards)
    * nicintel (for parallel flash ROMs on Intel 10/100Mbit network cards)
+   * nicintel_spi (for SPI flash ROMs on Intel Gigabit network cards)
    * gfxnvidia (for flash ROMs on NVIDIA graphics cards)
    * drkaiser (for flash ROMs on Dr. Kaiser PC-Waechter PCI cards)
    * satasii (for flash ROMs on Silicon Image SATA/IDE controllers)
@@ -44,8 +45,9 @@
    * ft2232_spi (for SPI flash ROMs attached to an FT2232/FT4232H
      family based USB SPI programmer), including the DLP Design DLP-USB1232H,
      FTDI FT2232H Mini-Module, FTDI FT4232H Mini-Module, openbiosprog-spi,
-     Amontec JTAGkey/JTAGkey-tiny/JTAGkey-2, Olimex ARM-USB-TINY/-H, and
-     Olimex ARM-USB-OCD/-H.
+     Amontec JTAGkey/JTAGkey-tiny/JTAGkey-2, Olimex ARM-USB-TINY/-H,
+     Olimex ARM-USB-OCD/-H, TIAO USB Multi-Protocol Adapter (TUMPA),
+     GOEPEL PicoTAP, and FIC OpenMoko Neo1973 Debug board.
    * serprog (for flash ROMs attached to a programmer speaking serprog),
      including AVR flasher by Urja Rannikko, AVR flasher by eightdot,
      Arduino Mega flasher by fritz, InSystemFlasher by Juhana Helovuo,
@@ -55,7 +57,6 @@
    * rayer_spi (for SPI flash ROMs attached to a RayeR parport based programmer)
    * pony_spi (for SPI flash ROMs attached to a SI-Prog serial port
      bitbanging adapter)
-   * nicintel_spi (for SPI flash ROMs on Intel Gigabit network cards)
    * ogp_spi (for SPI flash ROMs on Open Graphics Project graphics card)
    * linux_spi (for SPI flash ROMs accessible via /dev/spidevX.Y on Linux)
